Skip to main content
Update Candidate Visibility
POST
POST
https://api.atzcrm.com/v1/candidate/:candidateSlug/visibility/:jobSlug

Update the visibility status of a candidate for a specific job.

Request Example

{
"visibility": 1
}

Request

Path Parameters

  • candidateSlugstring

    The unique slug of the candidate (required). Example: candidate_2f0ea5cd69a6cd6c7163

  • jobSlugstring

    The unique slug of the job (required). Example: job_62bf6c7e3db8dd2bdb30

Body

  • visibilityinteger

    Visibility status of the candidate for this job (required).
    Allowed Values:
    1 => Visible,
    0 => Hidden

Headers

  • Authorization: Bearer your_access_token
  • Content-Type: application/json

Response

200

Body

  • messagestring

    Example: Candidate visibility updated successfully.

400

Body

  • Unprocessable Entity
401

Body

  • Unauthorized